Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » No editor descriptor for id org.eclipse.wst.html.core.htmlsource.source
No editor descriptor for id org.eclipse.wst.html.core.htmlsource.source [message #215505] Mon, 16 June 2008 19:11 Go to next message
John J. Barton is currently offline John J. BartonFriend
Messages: 311
Registered: July 2009
Senior Member
In Version: 3.4.0
Build id: I20080523-0100
I get a popup error message and several stack traces in Error Log when
I click on index.html in my project. Any ideas?

Thanks,
John
Re: No editor descriptor for id org.eclipse.wst.html.core.htmlsource.source [message #215513 is a reply to message #215505] Mon, 16 June 2008 20:00 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 2330
Registered: July 2009
Senior Member
John J Barton wrote:
> In Version: 3.4.0
> Build id: I20080523-0100
> I get a popup error message and several stack traces in Error Log when
> I click on index.html in my project. Any ideas?

Is this a new installation with all of the right prerequisites? Are
you at least using Java5?

---
Nitin Dahyabhai
Eclipse WTP Source Editing
IBM Rational


---
Nitin Dahyabhai
Eclipse WTP, IBM
Re: No editor descriptor for id org.eclipse.wst.html.core.htmlsource.source [message #215529 is a reply to message #215513] Mon, 16 June 2008 20:41 Go to previous messageGo to next message
John J. Barton is currently offline John J. BartonFriend
Messages: 311
Registered: July 2009
Senior Member
Nitin Dahyabhai wrote:
> John J Barton wrote:
>> In Version: 3.4.0
>> Build id: I20080523-0100
>> I get a popup error message and several stack traces in Error Log
>> when I click on index.html in my project. Any ideas?
>
> Is this a new installation

I'm not sure which day I installed, maybe 5/28/2008.

with all of the right prerequisites?


Sorry, prerequistes for what? I installed eclipse-SDK-3.4RC2-win32 and
added j2ee 3.0.0 and wst 3.0.0


Are you
> at least using Java5?

yes, 5.0

>
> ---
> Nitin Dahyabhai
> Eclipse WTP Source Editing
> IBM Rational
Re: No editor descriptor for id org.eclipse.wst.html.core.htmlsource.source [message #215537 is a reply to message #215529] Mon, 16 June 2008 20:42 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 2330
Registered: July 2009
Senior Member
John J Barton wrote:
> Nitin Dahyabhai wrote:
>> John J Barton wrote:
>>> In Version: 3.4.0
>>> Build id: I20080523-0100
>>> I get a popup error message and several stack traces in Error Log
>>> when I click on index.html in my project. Any ideas?
>>
>> Is this a new installation
>
> I'm not sure which day I installed, maybe 5/28/2008.
>
> with all of the right prerequisites?
>
>
> Sorry, prerequistes for what? I installed eclipse-SDK-3.4RC2-win32 and
> added j2ee 3.0.0 and wst 3.0.0
>
>
> Are you
>> at least using Java5?
>
> yes, 5.0
>

The download page should have a section labeled "Required
Prerequisites and Handy Extras" that links to the additional
downloads you'll need.


--
---
Nitin Dahyabhai
Eclipse WTP Source Editing
IBM Rational


---
Nitin Dahyabhai
Eclipse WTP, IBM
Re: No editor descriptor for id org.eclipse.wst.html.core.htmlsource.source [message #215545 is a reply to message #215529] Mon, 16 June 2008 20:44 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 2330
Registered: July 2009
Senior Member
Alternately you can just grab a pre-assembled Java EE package (the "
Eclipse IDE for Java EE Developers") from
http://www.eclipse.org/downloads/packages/ .

---
Nitin Dahyabhai
Eclipse WTP Source Editing
IBM Rational


---
Nitin Dahyabhai
Eclipse WTP, IBM
Re: No editor descriptor for id org.eclipse.wst.html.core.htmlsource.source [message #215553 is a reply to message #215537] Mon, 16 June 2008 21:09 Go to previous messageGo to next message
John J. Barton is currently offline John J. BartonFriend
Messages: 311
Registered: July 2009
Senior Member
Nitin Dahyabhai wrote:
> John J Barton wrote:
>> Nitin Dahyabhai wrote:
>>> John J Barton wrote:
>>>> In Version: 3.4.0
>>>> Build id: I20080523-0100
>>>> I get a popup error message and several stack traces in Error Log
>>>> when I click on index.html in my project. Any ideas?
>>>
>>> Is this a new installation
>>
>> I'm not sure which day I installed, maybe 5/28/2008.
>>
>> with all of the right prerequisites?
>>
>>
>> Sorry, prerequistes for what? I installed eclipse-SDK-3.4RC2-win32 and
>> added j2ee 3.0.0 and wst 3.0.0
>>
>>
>> Are you
>>> at least using Java5?
>>
>> yes, 5.0
>>
>
> The download page should have a section labeled "Required Prerequisites
> and Handy Extras" that links to the additional downloads you'll need.
>

Thanks, but what download page are you referring to?

(Seems odd to have all of this fancy version information and then the
installer doesn't use it ?)
Re: No editor descriptor for id org.eclipse.wst.html.core.htmlsource.source [message #215561 is a reply to message #215545] Mon, 16 June 2008 21:10 Go to previous messageGo to next message
John J. Barton is currently offline John J. BartonFriend
Messages: 311
Registered: July 2009
Senior Member
Nitin Dahyabhai wrote:
> Alternately you can just grab a pre-assembled Java EE package (the "
> Eclipse IDE for Java EE Developers") from
> http://www.eclipse.org/downloads/packages/ .

Thanks, but I tried that first, but it does not have source or PDE so I
can't use it.

John.

>
> ---
> Nitin Dahyabhai
> Eclipse WTP Source Editing
> IBM Rational
Re: No editor descriptor for id org.eclipse.wst.html.core.htmlsource.source [message #215599 is a reply to message #215561] Tue, 17 June 2008 14:31 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: dcarver.starstandard.org

John J Barton wrote:
> Nitin Dahyabhai wrote:
>> Alternately you can just grab a pre-assembled Java EE package (the
>> " Eclipse IDE for Java EE Developers") from
>> http://www.eclipse.org/downloads/packages/ .
>
> Thanks, but I tried that first, but it does not have source or PDE so I
> can't use it.

John, you should be able to use the latest Eclipse 3.4 RC4 SDK, and
install the J2EE component as well as the Web Tools 3.0 components. I
believe there were some issues with the earlier Eclipse 3.4 RC2 and RC3
builds that didn't resolve all the required dependencies. In addition,
you can also select from the Ganymede update site to install, GMF, EMF,
and XSD Runtimes from the Modeling Project.

But I would try with a newer build, and as for the J2EE Developer
Version, you should be able to add the PDE package from Ganymede.

Dave
Re: No editor descriptor for id org.eclipse.wst.html.core.htmlsource.source [message #215615 is a reply to message #215599] Tue, 17 June 2008 17:26 Go to previous messageGo to next message
John J. Barton is currently offline John J. BartonFriend
Messages: 311
Registered: July 2009
Senior Member
David Carver wrote:
> John J Barton wrote:
>> Nitin Dahyabhai wrote:
>>> Alternately you can just grab a pre-assembled Java EE package (the
>>> " Eclipse IDE for Java EE Developers") from
>>> http://www.eclipse.org/downloads/packages/ .
>>
>> Thanks, but I tried that first, but it does not have source or PDE so
>> I can't use it.
>
> John, you should be able to use the latest Eclipse 3.4 RC4 SDK, and
> install the J2EE component as well as the Web Tools 3.0 components. I

Thanks David...are you suggesting that 3.4 RC2 will not upgrade to RC4?


> believe there were some issues with the earlier Eclipse 3.4 RC2 and RC3
> builds that didn't resolve all the required dependencies. In addition,
> you can also select from the Ganymede update site to install, GMF, EMF,
> and XSD Runtimes from the Modeling Project.
>
> But I would try with a newer build, and as for the J2EE Developer
> Version, you should be able to add the PDE package from Ganymede.

But this would still not have the source correct? Using PDE without the
source isn't fun.


>
> Dave
Re: No editor descriptor for id org.eclipse.wst.html.core.htmlsource.source [message #215639 is a reply to message #215615] Tue, 17 June 2008 19:31 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: dcarver.starstandard.org

John J Barton wrote:
> David Carver wrote:
>> John J Barton wrote:
>>> Nitin Dahyabhai wrote:
>>>> Alternately you can just grab a pre-assembled Java EE package (the
>>>> " Eclipse IDE for Java EE Developers") from
>>>> http://www.eclipse.org/downloads/packages/ .
>>>
>>> Thanks, but I tried that first, but it does not have source or PDE so
>>> I can't use it.
>>
>> John, you should be able to use the latest Eclipse 3.4 RC4 SDK, and
>> install the J2EE component as well as the Web Tools 3.0 components. I
>
> Thanks David...are you suggesting that 3.4 RC2 will not upgrade to RC4?

I personally still just install a clean version. Old habits die hard,
but I think you have to have a special update site included in order for
it to detect that it needs to upgrade from RC 2 to RC 4.
>
> But this would still not have the source correct? Using PDE without the
> source isn't fun.

You can always get the source from the PDE website, and extract the ZIP
file into your dropins folder. Some distributions are including the SDK
as an update site as well.

Dave
Re: No editor descriptor for id org.eclipse.wst.html.core.htmlsource.source [message #215662 is a reply to message #215639] Tue, 17 June 2008 21:57 Go to previous messageGo to next message
John J. Barton is currently offline John J. BartonFriend
Messages: 311
Registered: July 2009
Senior Member
David Carver wrote:
> John J Barton wrote:
>> David Carver wrote:
>>> John J Barton wrote:
>>>> Nitin Dahyabhai wrote:
>>>>> Alternately you can just grab a pre-assembled Java EE package (the
>>>>> " Eclipse IDE for Java EE Developers") from
>>>>> http://www.eclipse.org/downloads/packages/ .
>>>>
>>>> Thanks, but I tried that first, but it does not have source or PDE
>>>> so I can't use it.
>>>
>>> John, you should be able to use the latest Eclipse 3.4 RC4 SDK, and
>>> install the J2EE component as well as the Web Tools 3.0 components. I
>>
>> Thanks David...are you suggesting that 3.4 RC2 will not upgrade to RC4?
>
> I personally still just install a clean version. Old habits die hard,
> but I think you have to have a special update site included in order for
> it to detect that it needs to upgrade from RC 2 to RC 4.

Hmm...seems like a curious update site that does not support updates.
Ok, so I'll go for your approach and reinstall everything. But can you
tell me the exact package to use? From the link
http://www.eclipse.org/downloads/packages
I can get the package eclipse-SDK-3.4RC4 (curiously called "Eclipse
Classic 3.4RC4" I guess they can't decide what to call it). But then I
need to add the j2ee and web tools 3.0 things. Can you recommend the url
for those guys?

>>
>> But this would still not have the source correct? Using PDE without
>> the source isn't fun.
>
> You can always get the source from the PDE website, and extract the ZIP
> file into your dropins folder. Some distributions are including the SDK
> as an update site as well.

I tried that with eclipse-jee-ganymede-M6 and wasted a lot of time,
thanks anyway.

>
> Dave
>
>
Re: No editor descriptor for id org.eclipse.wst.html.core.htmlsource.source [message #215670 is a reply to message #215662] Wed, 18 June 2008 00:28 Go to previous message
Eclipse UserFriend
Originally posted by: dcarver.starstandard.org

http://www.eclipse.org/downloads/packages/

You can get the Eclipse JEE developers edition, and then from within the
Ganymede update site, under Java Tools, add the Eclipse Plugin
Development Environment.

or

Download the Eclipse for Plugin / RCP Developers and then through the
ganymede update site, under Web Tools and Java EE install the select the
Eclipse XML Editors, Java EE Developers, Java Persistence, JavaScript
Developer Tools, Web Developer Tools and Web Page Editor.

That should get you everything in one environment.

Dave
Previous Topic:Re: ant projectSetImport in Eclipse 3.2 available?
Next Topic:Adding the RichFaces into the palette of the WTP JSP Editor
Goto Forum:
  


Current Time: Sat Nov 22 10:40:41 GMT 2014

Powered by FUDForum. Page generated in 0.02786 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software